> ## Documentation Index
> Fetch the complete documentation index at: https://docs.appz.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Join a team

> Join a team with a provided invite code or team ID.



## OpenAPI

````yaml Get /teams/{teamId}/join
openapi: 3.1.0
info:
  version: 1.0.0
  title: Appz Api
servers:
  - url: https://api.youappz.dev
    description: Production API
security:
  - Bearer: []
paths:
  /teams/{teamId}/join:
    get:
      tags:
        - teams
      description: Join a team with a provided invite code or team ID.
      parameters:
        - schema:
            type: string
            description: >-
              The Team identifier or Team slug to perform the request on behalf
              of.
            query:
              name: teamId
              in: query
            example: team_xbtegd63gdg5636gdg
          required: true
          name: teamId
          in: path
        - schema:
            type: string
            description: The invite code to join the team.
            query:
              name: inviteCode
              in: query
            example: fisdh38aejkeivn34nslfore9vjtn4ls
          required: true
          name: inviteCode
          in: query
      responses:
        '200':
          description: Successfully joined a team.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Team'
        '400':
          description: Returns a validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 400
                  message:
                    type: string
                    example: >-
                      One of the provided values in the request body/query is
                      invalid
                required:
                  - code
                  - message
        '403':
          description: You do not have permission to access this resource.
        '404':
          description: The teams was not found
components:
  schemas:
    Team:
      type: object
      properties:
        id:
          type: string
        slug:
          type: string
        name:
          type:
            - string
            - 'null'
        avatar:
          type:
            - string
            - 'null'
        createdBy:
          type:
            - number
            - 'null'
        createdAt:
          type: number
        updatedAt:
          type: number
      required:
        - id
        - slug
        - name
        - avatar
        - createdBy
        - createdAt
        - updatedAt
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````